{% extends 'gps/base.html' %}
{% load bootstrap4 %}
{% load static %}

{% block title %}Import de données{% endblock %}
{% block h1 %}Import de données{% endblock %}

{% block content %}
    <div class="row">
        <div class="col-12">
            <div class="alert alert-primary" role="alert">
                <h4 class="alert-heading">Informations importantes</h4>
                <p class="mb-0">Le fichier sélectionné doit être un fichier Excel contenant au minimum
                    les colonnes suivantes (les autres colonnes seront ignorées) :</p>
                <ul>
                    <li>
                        <strong>nom</strong> : Le nom du lieu tel qu'il doit apparaître dans l'interface
                        (ex : "PS 1.1", "Camping", ...).
                    </li>
                    <li>
                        <strong>jours</strong> : Les jours auxquels se rapportent le lieu,
                        séparés par des virgules (ex : "J1", "J1,J2,J3", ...).
                        Les jours doivent avoir été créés dans la base de données auparavant.
                    </li>
                    <li>
                        <strong>latitude</strong> : La latitude décimale du lieu (ex : "43,2399").
                    </li>
                    <li>
                        <strong>longitude</strong> : La longitude décimale du lieu (ex : "5,765409").
                    </li>
                </ul>
                <p>Les valeurs dans le fichier Excel ne doivent pas contenir les guillemets présents dans les exemples.</p>
                <hr>
                <p class="mb-0">
                Vous pouvez télécharger un fichier modèle en cliquant
                <a href="{% static 'gps/test-coordonnees.xlsx' %}" class="alert-link">sur ce lien</a>.</p>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <form action="" method="post" enctype='multipart/form-data'>
                {% csrf_token %}
                {% bootstrap_form form %}
                {% buttons %}
                    <button type="submit" class="btn btn-primary">Valider</button>
                {% endbuttons %}
            </form>

        </div>
    </div>
{% endblock %}